Create a Lead Note

Adds a note to an existing lead.

This endpoint works identically to Create a Candidate Note. The request body, response schema, and behavior are the same — only the resource path differs.

Request

POST https://api.comeet.co/leads/{uid}/notes

Request path parameters:

Request body parameters:

NameTypeOptionalDescription
time_createdstringRequiredYYYY-MM-DDTHH:mm:ssZ
created_byobjectRequired
created_by.typestringRequiredOne of the following: user, source_contact, other, app
created_by.first_namestringRequired
created_by.middle_namestringOptional
created_by.last_namestringOptional
created_by.emailstringOptional
textstringRequiredHTML. The following tags are supported: <b> <i> <u>. Due to security restrictions other tags will be removed or displayed as text.
detailsarray of objectsOptional
details[].titlestringRequired
details[].textstringOptional
{
  "time_created": "2024-06-05T14:30:00Z",
  "created_by": {
    "first_name": "John",
    "middle_name": "",
    "last_name": "Recruiter",
    "email": "[email protected]",
    "type": "user"
  },
  "text": "Called lead's phone but the lead didn't pick up.",
  "details": [
    {
      "title": "Phone number",
      "text": "+1-555-0100"
    }
  ]
}

Response

{
  "uid": "B12.122",
  "time_created": "2024-06-05T14:30:00Z",
  "created_by": {
    "type": "user",
    "uid": "A00.002"
  },
  "text": "Called lead's phone but the lead didn't pick up.",
  "details": [
    {
      "title": "Phone number",
      "text": "+1-555-0100"
    }
  ]
}
{  
  "status":404,
  "error":"candidate_not_found",
  "message":"Candidate not found"
}